summaryrefslogtreecommitdiff
path: root/hints/irix_6_1.sh
diff options
context:
space:
mode:
authorMalcolm Beattie <mbeattie@sable.ox.ac.uk>1997-11-20 12:12:00 +0000
committerMalcolm Beattie <mbeattie@sable.ox.ac.uk>1997-11-20 12:12:00 +0000
commiteb1cfdd6b0a7e7a6918084a3828c98f88804c32d (patch)
tree6e94caef6b8490b0b0d6364260cbdfb1d3e53ed7 /hints/irix_6_1.sh
parentc5254dd600e35509100e643867b417e514781043 (diff)
downloadperl-eb1cfdd6b0a7e7a6918084a3828c98f88804c32d.tar.gz
Initial stab at IRIX configuration support for threading. Manually
applied parts of following patches: Subject: Perl 5.004_54 on IRIX Date: Wed, 19 Nov 1997 18:37:14 +0200 (EET) From: Jarkko Hietaniemi <jhi@iki.fi> Subject: Re: Perl 5.004_54 on IRIX Date: 19 Nov 1997 17:10:17 -0800 From: Scott Henry <scotth@sgi.com> p4raw-id: //depot/perl@271
Diffstat (limited to 'hints/irix_6_1.sh')
-rw-r--r--hints/irix_6_1.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/hints/irix_6_1.sh b/hints/irix_6_1.sh
index 38fe27d282..91c3ef8cf8 100644
--- a/hints/irix_6_1.sh
+++ b/hints/irix_6_1.sh
@@ -41,3 +41,10 @@ libswanted="$*"
# set `echo X "$libswanted "|sed -e 's/ socket / /' -e 's/ sun / /' -e 's/ crypt / /' -e 's/ nsl / /' -e 's/ dl / /'`
# shift
# libswanted="$*"
+
+if [ "X$usethreads" != "X" ]; then
+ echo >&4 "IRIX 6.1 does not have POSIX threads."
+ echo >&4 "You should upgrade to at least IRIX 6.3."
+ echo >&4 "Cannot continue, aborting."
+ exit 1
+fi